/*
 * Copyright 2024 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material.icons.rounded

import androidx.compose.material.icons.Icons
import androidx.compose.material.icons.materialIcon
import androidx.compose.material.icons.materialPath
import androidx.compose.ui.graphics.vector.ImageVector

public val Icons.Rounded.Man4: ImageVector
    get() {
        if (_man4 != null) {
            return _man4!!
        }
        _man4 = materialIcon(name = "Rounded.Man4") {
            materialPath {
                moveTo(13.75f, 7.0f)
                horizontalLineToRelative(-3.5f)
                curveTo(9.04f, 7.0f, 8.11f, 8.07f, 8.27f, 9.26f)
                lineTo(9.82f, 20.7f)
                curveToRelative(0.1f, 0.74f, 0.74f, 1.3f, 1.49f, 1.3f)
                horizontalLineToRelative(1.38f)
                curveToRelative(0.75f, 0.0f, 1.39f, -0.55f, 1.49f, -1.3f)
                lineToRelative(1.56f, -11.44f)
                curveTo(15.89f, 8.07f, 14.96f, 7.0f, 13.75f, 7.0f)
                close()
            }
            materialPath {
                moveTo(12.0f, 4.0f)
                moveToRelative(-2.0f, 0.0f)
                arcToRelative(2.0f, 2.0f, 0.0f, true, true, 4.0f, 0.0f)
                arcToRelative(2.0f, 2.0f, 0.0f, true, true, -4.0f, 0.0f)
            }
        }
        return _man4!!
    }

private var _man4: ImageVector? = null
